%define kmodule_name	kqemu
%define kqemuver	0.7.1.1
%define gtkver		20050716

Name: qemu
Version: 0.7.1
Release: alt1

Summary: QEMU CPU Emulator
License: GPL/LGPL/BSD
Group: Emulators

URL: http://fabrice.bellard.free.fr/qemu/
Source: %name-%version.tar.bz2
Source1: kqemu-%kqemuver.tar.bz2
Source2: kqemu-permission
Source3: qemu-gtk-%gtkver.tar.bz2

Patch: %name-0.7.1-alt-makefile.patch
Patch1: %name-0.6.2-alt-hdtrans.patch
Patch2: %name-0.7.0-alt-kqemu.patch
Patch3: %name-0.7.1-alt-guiargs.patch

# for %_bindir/qemu*
%set_verify_elf_method textrel=relaxed

BuildRequires: libSDL-devel-static xorg-x11-devel-static
BuildRequires: glibc-devel-static zlib-devel-static
BuildRequires: libaudiofile-devel-static esound-devel-static libalsa-devel-static
BuildRequires: tetex-core libgtk+2-devel

%description
QEMU is a fast processor emulator using dynamic translation to achieve
good emulation speed.  QEMU has two operating modes:

* Full system emulation.  In this mode, QEMU emulates a full system
  (for example a PC), including a processor and various peripherials.
  It can be used to launch different Operating Systems without rebooting
  the PC or to debug system code.

* User mode emulation (Linux host only).  In this mode, QEMU can launch
  Linux processes compiled for one CPU on another CPU.  It can be used
  to   launch the Wine Windows API emulator or to ease cross-compilation
  and cross-debugging.

As QEMU requires no host kernel patches to run, it is very safe and easy
to use.

%package -n kernel-source-%kmodule_name-%kqemuver
Summary: Linux %kmodule_name modules sources
License: EULA
Group: Development/Kernel

%description -n kernel-source-%kmodule_name-%kqemuver
%kmodule_name modules sources for Linux kernel

%prep
%setup -q -a1 -a3
%patch -p1
%patch1 -p1
%patch2 -p0
%__patch -p1 < qemu-gtk-patch.diff
%patch3 -p1

%__cp -a kqemu kernel-source-%kmodule_name-%kqemuver
%__cp -a %SOURCE2 kernel-source-%kmodule_name-%kqemuver/PERMISSION
%__tar -cjf %_builddir/%name-%version/kernel-source-%kmodule_name-%kqemuver.tar.bz2 kernel-source-%kmodule_name-%kqemuver

%build
./configure --prefix=%_prefix --enable-adlib --with-kqemu --enable-gtk
# XXX asm error with CFLAGS='%optflags'
# XXX segfault with LDFLAGS=
%make_build

%ifarch %ix86
cd tests
%__subst -p s/-static//g Makefile
%make
%endif

%install
%make_install install DESTDIR=%buildroot

%__install -m644 -D %_builddir/%name-%version/kernel-source-%kmodule_name-%kqemuver.tar.bz2 \
		    %buildroot/%_usrsrc/kernel/sources/kernel-source-%kmodule_name-%kqemuver.tar.bz2

%files
%doc Changelog README TODO qemu-doc.html qemu-tech.html
%_bindir/qemu*
%_datadir/qemu
%_man1dir/qemu*

%files -n kernel-source-%kmodule_name-%kqemuver
%_usrsrc/kernel/sources/*

%changelog
* Thu Aug 04 2005 Kachalov Anton <mouse@altlinux.ru> 0.7.1-alt1
- 0.7.1
- Updated:
  * Kqemu to 0.7.1-1
  * GTK support

* Thu Jun 23 2005 Kachalov Anton <mouse@altlinux.ru> 0.7.0-alt2
- Added:
  * GTK support (-use-gtk option)
  * Distribution permission from Fabrice Bellard to Kqemu

* Fri Apr 29 2005 Kachalov Anton <mouse@altlinux.ru> 0.7.0-alt1
- 0.7.0
- Kqemu support

* Mon Nov 29 2004 Kachalov Anton <mouse@altlinux.ru> 0.6.2-alt1
- Snapshot of 23-28 Nov 2004
- LARGE disk fix (actual for NT4, win2k, winXP)

* Fri Nov 26 2004 Kachalov Anton <mouse@altlinux.ru> 0.6.1-alt1
- 0.6.1

* Sun Oct 17 2004 Alexey Tourbin <at@altlinux.ru> 0.6.0-alt1
- initial revision
